Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
auth::Policy Struct Reference

Authentication policy. More...

`import <AuthManager.idl;`

## Public Attributes
auth::Type | type
| Authentication type.
boolean | useLocalIfRemoteFailed
| Fall back to local authentication if remote authentication fails.

## Detailed Description

Authentication policy.

Definition at line 19 of file AuthManager.idl.

## Member Data Documentation

## ◆ type

auth::Type auth::Policy::type

Authentication type.

Definition at line 20 of file AuthManager.idl.

## ◆ useLocalIfRemoteFailed

boolean auth::Policy::useLocalIfRemoteFailed

Fall back to local authentication if remote authentication fails.

Definition at line 21 of file AuthManager.idl.

The documentation for this struct was generated from the following file:

- AuthManager.idl